﻿@using Xtoman.Domain.Models
@model UserDetailViewModel
@{
    ViewBag.Title = "اطلاعات کاربر " + Model.FullName;
}

<div class="row">
    <div class="col-xl-3 col-lg-4">
        <div class="text-center card-box">
            <div class="member-card">
                <div class="">
                    <h4 class="m-b-5">@Model.FirstName @Model.LastName</h4>
                    @*<p class="text-muted">webdesigner</p>*@
                </div>

                @*<button type="button" class="btn btn-success btn-sm w-sm waves-effect m-t-10 waves-light">Follow</button>
                    <button type="button" class="btn btn-danger btn-sm w-sm waves-effect m-t-10 waves-light">Message</button>*@

            <div class="text-left m-t-40">
                @*<p class="text-muted font-13"><strong>Full Name :</strong> <span class="m-l-15">Mark A. McKnight</span></p>*@
                <p class="text-muted font-13"><strong>موبایل:</strong><span class="m-l-15">@Model.PhoneNumber</span></p>
                <p class="text-muted font-13">
                    <strong>ایمیل:</strong> <span class="m-l-15">@Model.Email</span><br />
                    <a href="#" id="confirmEmailBtn" class="btn btn-success btn-sm">تایید دستی</a>
                </p>
                <p class="text-muted font-13"><strong>تلفن ثابت:</strong> <span class="m-l-15">@Model.Telephone</span></p>
                <hr />
                <a href="@Url.Action("Edit", "User", new { id = Model.Id })" class="btn btn-sm btn-info">ویرایش اطلاعات</a>
                <a href="#" class="btn btn-sm btn-warning" onclick="changePassword(); return false;">تغییر کلمه عبور</a>
                <hr />
                <p class="text-muted font-13"><strong>تاریخ عضویت:</strong> <span class="m-l-15">@Model.RegDate.ToFaDateTimeZone()</span></p>
                <p class="text-muted font-13"><strong>سفارش های کامل شده:</strong> <span class="m-l-15">@Model.ExchangeOrders.Where(p => p.OrderStatus == OrderStatus.Complete).Count()</span></p>
                <p>
                    @Html.BsCheckboxEditorFor(m => m.IsPhisher, null, null, 3, 9)
                </p>
                <p>
                    @Html.BsCheckboxEditorFor(m => m.IsBuyLimited, null, null, 3, 9)
                </p>
                @*<p class="text-muted font-13"><strong>Location :</strong> <span class="m-l-15">USA</span></p>*@
            </div>

                @*<ul class="social-links list-inline m-t-30">
                        <li class="list-inline-item">
                            <a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="" data-original-title="Facebook"><i class="fa fa-facebook"></i></a>
                        </li>
                        <li class="list-inline-item">
                            <a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="" data-original-title="Twitter"><i class="fa fa-twitter"></i></a>
                        </li>
                        <li class="list-inline-item">
                            <a title="" data-placement="top" data-toggle="tooltip" class="tooltips" href="" data-original-title="Skype"><i class="fa fa-skype"></i></a>
                        </li>
                    </ul>*@

            </div>

        </div> <!-- end card-box -->
        @*<div class="card-box">
                <h4 class="m-t-0 m-b-20 header-title">تخفیف و درآمد</h4>

                <div class="p-b-10">
                    <p>HTML5</p>
                    <div class="progress progress-sm">
                        <div class="progress-bar" role="progressbar" aria-valuenow="80" aria-valuemin="0" aria-valuemax="100" style="width: 80%">
                        </div>
                    </div>
                    <p>PHP</p>
                    <div class="progress progress-sm">
                        <div class="progress-bar" role="progressbar" aria-valuenow="60" aria-valuemin="0" aria-valuemax="100" style="width: 60%">
                        </div>
                    </div>
                    <p>Wordpress</p>
                    <div class="progress progress-sm mb-0">
                        <div class="progress-bar" role="progressbar" aria-valuenow="70" aria-valuemin="0" aria-valuemax="100" style="width: 70%">
                        </div>
                    </div>
                </div>
            </div>*@

    </div> <!-- end col -->

    <div class="col-lg-8 col-xl-9">
        <div class="">
            <div class="card-box">
                <ul class="nav nav-tabs tabs-bordered">
                    <li class="nav-item">
                        <a href="#verify" data-toggle="tab" aria-expanded="true" class="nav-link active">
                            احراز هویت
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="#orders" data-toggle="tab" aria-expanded="false" class="nav-link">
                            لیست سفارش ها
                        </a>
                    </li>
                    <li class="nav-item">
                        <a href="#support" data-toggle="tab" aria-expanded="false" class="nav-link">
                            تیکت های پشتیبانی
                        </a>
                    </li>
                    @if (Model.Referrals != null && Model.Referrals.Any())
                    {
                        <li class="nav-item">
                            <a href="#referrals" data-toggle="tab" aria-expanded="false" class="nav-link">
                                معرفی شدگان
                            </a>
                        </li>
                    }
                </ul>
                <div class="tab-content">
                    <div class="tab-pane active" id="verify">
                        <div class="row">
                            <div class="col-sm-4">
                                <h5 class="text-primary m-b-5">احراز مدارک</h5>
                                <hr />
                                <p style="color:@Model.IdentityVerificationStatus.ToDisplay(DisplayProperty.GroupName)">
                                    @Model.IdentityVerificationStatus.ToDisplay()
                                </p>
                                @if (Model.VerificationMedia != null)
                                {
                                    <img class="img-fluid" src="@Model.VerificationMedia.Url.ToStaticUrl()" />
                                }
                            </div>
                            <div class="col-sm-4">
                                <h5 class="text-primary m-b-5">اطلاعات تماس</h5>
                                <hr />
                                <p>
                                    <label>تلفن ثابت: </label> <span style="color:@Model.TelephoneConfirmationStatus.ToDisplay(DisplayProperty.GroupName)">@Model.TelephoneConfirmationStatus.ToDisplay()</span>
                                </p>
                                <p>
                                    <label>تلفن همراه: </label> <span style="color:@(Model.PhoneNumberConfirmed ? "#00a86b" : "#b43b2c")">@(Model.PhoneNumberConfirmed ? "تایید شده" : "تایید نشده")</span>
                                </p>
                                <p>
                                    <label>ایمیل: </label> <span style="color:@(Model.EmailConfirmed ? "#00a86b" : "#b43b2c")">@(Model.EmailConfirmed ? "تایید شده" : "تایید نشده")</span>
                                </p>
                            </div>
                            <div class="col-sm-4">
                                <h5 class="text-primary m-b-5">کارت های بانکی</h5>
                                <hr />
                                @if (Model.UserBankCards.Count > 0)
                                {
                                    foreach (var card in Model.UserBankCards)
                                    {
                                        <p>
                                            <label>@card.CardNumber - </label> <span style="color:@card.VerificationStatus.ToDisplay(DisplayProperty.GroupName)">@card.VerificationStatus.ToDisplay()</span>
                                        </p>
                                    }
                                }
                                else
                                {
                                    <p>هیچ شماره کارتی ثبت نشده.</p>
                                }
                            </div>
                            @if (Model.UserVerifications != null && Model.UserVerifications.Any())
                            {
                                var firstDate = Model.UserVerifications.Select(p => p.Id).First();
                                var now = DateTime.UtcNow;
                                Model.UserVerifications = Model.UserVerifications.OrderByDescending(p => p.InsertDate).ToList();
                                <hr />
                                <div class="col-sm-12">
                                    <h5 class="text-primary m-b-5 m-t-10">تاریخچه احراز هویت</h5>
                                </div>
                                <div class="timeline" dir="ltr">
                                    @{ var todayCounted = false; var yesterdayCounted = false; var lastMonthCounted = false; var lastYearCounted = false; var firstCounted = false; var isAlt = false;}
                                    @foreach (var item in Model.UserVerifications)
                                    {
                                        var isToday = item.InsertDate.IsToday();
                                        if (isToday)
                                        {
                                            if (!todayCounted)
                                            {
                                                todayCounted = true;
                                                firstCounted = true;
                                                <article class="timeline-item alt">
                                                    <div class="text-left">
                                                        <div class="time-show first">
                                                            <a href="#" class="btn btn-primary w-lg">امروز</a>
                                                        </div>
                                                    </div>
                                                </article>
                                            }
                                        }
                                        else
                                        {
                                            var isYesterday = item.InsertDate.IsYesterday();
                                            if (isYesterday)
                                            {
                                                if (!yesterdayCounted)
                                                {
                                                    yesterdayCounted = true;
                                                    <article class="timeline-item alt">
                                                        <div class="text-left@(firstCounted == false ? " first" : "")">
                                                            <div class="time-show">
                                                                <a href="#" class="btn btn-primary w-lg">دیروز</a>
                                                            </div>
                                                        </div>
                                                    </article>
                                                    firstCounted = true;
                                                }
                                            }
                                            else
                                            {
                                                var isLastMonth = item.InsertDate.IsLastMonth();
                                                if (isLastMonth)
                                                {
                                                    if (!lastMonthCounted)
                                                    {
                                                        lastMonthCounted = true;
                                                        <article class="timeline-item alt">
                                                            <div class="text-left@(firstCounted == false ? " first" : "")">
                                                                <div class="time-show">
                                                                    <a href="#" class="btn btn-primary w-lg">ماه قبل</a>
                                                                </div>
                                                            </div>
                                                        </article>
                                                        firstCounted = true;
                                                    }

                                                }
                                                else
                                                {
                                                    var isLastYear = item.InsertDate.IsLastYear();
                                                    if (!lastYearCounted)
                                                    {
                                                        lastYearCounted = true;
                                                        <article class="timeline-item alt">
                                                            <div class="text-left@(firstCounted ? "" : " first")">
                                                                <div class="time-show">
                                                                    <a href="#" class="btn btn-primary w-lg">امسال</a>
                                                                </div>
                                                            </div>
                                                        </article>
                                                        firstCounted = true;
                                                    }
                                                }
                                            }
                                        }
                                        isAlt = isAlt ? false : true;
                                        <article class="timeline-item@(isAlt ? " alt": "")">
                                            <div class="timeline-desk">
                                                <div class="panel">
                                                    <div class="panel-body">
                                                        <span class="arrow-alt"></span>
                                                        <span class="timeline-icon"></span>
                                                        <p class="timeline-date text-muted" dir="rtl">@item.InsertDate.GetDiffDate()</p>
                                                        @*<h4 class="text-danger">1 hour ago</h4>
                                                            <p class="timeline-date text-muted"><small>08:25 am</small></p>*@
                                                        <p>
                                                            <b>نوع: </b>@item.Type.ToDisplay()<br />
                                                            <b>وضعیت: </b>@item.Status.ToDisplay()
                                                            @if (item.InsertUser != null)
                                                            {
                                                                <br /><b>توسط: </b>@item.InsertUser.FullName
                                                            }
                                                        </p>
                                                        <p>
                                                            @item.Description
                                                        </p>
                                                        @if (item.Media != null)
                                                        {
                                                            <img class="img-fluid thumb-img" src="@item.Media.Thumbnails.ImgSrc("verify.large")" />
                                                        }
                                                    </div>
                                                </div>
                                            </div>
                                        </article>
                                    }
                                </div>
                            }
                        </div>
                    </div>
                    <div class="tab-pane" id="orders">
                        <div class="col-sm-12">
                            <ul class="list-unstyled list-inline">
                                <li class="list-inline-item m-r-15">
                                    <label>جمع خرید های تومانی: </label> <span>@Model.ExchangeOrders.Where(p => p.PaymentStatus == PaymentStatus.Paid && p.ExchangeFromCurrencyType == ECurrencyType.Shetab).Select(p => p.PayAmount).DefaultIfEmpty(0).Sum().ToPriceWithoutFloat()</span>
                                </li>
                                <li class="list-inline-item m-l-15">
                                    <label>جمع فروش های تومانی: </label> <span>@Model.ExchangeOrders.Where(p => p.PaymentStatus == PaymentStatus.Paid && p.ExchangeToCurrencyType == ECurrencyType.Shetab).Select(p => p.ReceiveAmount).DefaultIfEmpty(0).Sum().ToPriceWithoutFloat()</span>
                                </li>
                            </ul>
                        </div>
                        <div class="table-responsive font-13">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>شماره</th>
                                        <th>وضعیت پرداخت</th>
                                        <th>وضعیت سفارش</th>
                                        <th>نوع تبدیل</th>
                                        <th>مقدار پرداخت</th>
                                        <th>مقدار دریافت</th>
                                        <th>تاریخ ثبت</th>
                                        <th>جزئیات</th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (Model.ExchangeOrders.Count > 0)
                                    {
                                        foreach (var order in Model.ExchangeOrders.OrderByDescending(p => p.InsertDate))
                                        {
                                            <tr>
                                                <td>@order.Id</td>
                                                <td>
                                                    <a target="_blank" class="badge badge-@order.PaymentStatus.ToDisplay(DisplayProperty.GroupName)" href="@HttpContext.Current.GetBaseUrl(true)/ExchangeOrder/@order.Guid">
                                                        @order.PaymentStatus.ToDisplay()
                                                    </a>
                                                </td>
                                                <td>
                                                    <a target="_blank" class="badge badge-@order.OrderStatus.ToDisplay(DisplayProperty.GroupName)" href="@HttpContext.Current.GetBaseUrl(true)/ExchangeOrder/@order.Guid">
                                                        @order.OrderStatus.ToDisplay()
                                                    </a>
                                                </td>
                                                <td>
                                                    <span style="color:@order.ExchangeFromCurrencyType.ToDisplay(DisplayProperty.GroupName)">@order.ExchangeFromCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                                                    <span class="fa fa-arrow-right"></span>
                                                    <span style="color:@order.ExchangeToCurrencyType.ToDisplay(DisplayProperty.GroupName)">@order.ExchangeToCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                                                </td>
                                                <td>
                                                    @if (order.ExchangeFromCurrencyType == ECurrencyType.Shetab)
                                                    {
                                                        <span>@order.PayAmount.ToPriceWithoutFloat() تومان</span>
                                                    }
                                                    else
                                                    {
                                                        <span>@order.PayAmount.ToBlockChainPrice() @order.ExchangeFromCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                                                    }
                                                </td>
                                                <td>
                                                    @if (order.ExchangeToCurrencyType == ECurrencyType.Shetab)
                                                    {
                                                        <span>@order.ReceiveAmount.ToPriceWithoutFloat() تومان</span>
                                                    }
                                                    else
                                                    {
                                                        <span>@order.ReceiveAmount.ToBlockChainPrice() @order.ExchangeToCurrencyType.ToDisplay(DisplayProperty.ShortName)</span>
                                                    }
                                                </td>
                                                <td>
                                                    @order.InsertDate.ToFaDateTimeZone()
                                                </td>
                                                <td>
                                                    <a href="@Url.Action("Details", "ExchangeOrder", new { id = order.Id })" target="_blank" class="btn btn-sm btn-primary"><span class="fa fa-search"></span></a>
                                                </td>
                                            </tr>
                                        }
                                    }
                                    else
                                    {
                                        <tr>
                                            <td colspan="8">هیچ سفارشی برای این مشتری ثبت نشده</td>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                    <div id="support" class="tab-pane">
                        <div class="table-responsive font-13">
                            <table class="table">
                                <thead>
                                    <tr>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Supports.GetObject().Id)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Supports.GetObject().Status)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Supports.GetObject().Subject)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Supports.GetObject().Department)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Supports.GetObject().Priority)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Supports.GetObject().RepliesCount)
                                        </th>
                                        <th>
                                            @Html.DisplayNameFor(model => model.Supports.GetObject().LastDate)
                                        </th>
                                        <th>
                                            <span>عملیات</span>
                                        </th>
                                    </tr>
                                </thead>
                                <tbody>
                                    @if (Model.Supports.Count > 0)
                                    {
                                        foreach (var support in Model.Supports)
                                        {
                                            <tr>
                                                <td>
                                                    @Html.DisplayFor(modelItem => support.Id)
                                                </td>
                                                <th>
                                                    <a href="#" class="badge badge-@support.Status.ToDisplay(DisplayProperty.ShortName)">
                                                        @support.Status.ToDisplay()
                                                    </a>
                                                </th>
                                                <td>
                                                    @Html.DisplayFor(modelItem => support.Subject)
                                                </td>
                                                <td>
                                                    @support.Department.ToDisplay()
                                                </td>
                                                <td>
                                                    @support.Priority.ToDisplay()
                                                </td>
                                                <td>
                                                    @Html.DisplayFor(modelItem => support.RepliesCount)
                                                </td>
                                                <td>
                                                    @support.LastDate.ToFaDateTimeZone()
                                                </td>
                                                <td>
                                                    @Html.ActionLink("مشاهده", "Details", "Support", new { id = support.Id }, new { @class = "btn btn-primary", target = "_blank" })
                                                </td>
                                            </tr>
                                        }
                                    }
                                    else
                                    {
                                        <tr>
                                            <th colspan="8">هیچ درخواست پشتیبانی ثبت نشده</th>
                                        </tr>
                                    }
                                </tbody>
                            </table>
                        </div>
                    </div>
                    @if (Model.Referrals != null && Model.Referrals.Any())
                    {
                        <div id="referrals" class="tab-pane">
                            <div class="table-responsive">
                                <table class="table">
                                    <thead>
                                        <tr>
                                            <th>
                                                @Html.DisplayNameFor(model => model.Referrals.GetObject().Id)
                                            </th>
                                            <th>
                                                @Html.DisplayNameFor(model => model.Referrals.GetObject().FullName)
                                            </th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach (var referral in Model.Referrals)
                                        {
                                            <tr>
                                                <td>
                                                    <a href="@Url.Action("Detail", "User", new { Id = referral.Id })" target="_blank">@Html.DisplayFor(modelItem => referral.Id)</a>
                                                </td>
                                                <td>
                                                    @{
                                                        var FullName = (referral.FirstName + " " + referral.LastName).Trim();
                                                        if (!FullName.HasValue())
                                                        {
                                                            FullName = referral.UserName;
                                                        }
                                                    }
                                                    @FullName
                                                </td>
                                            </tr>
                                        }
                                    </tbody>
                                </table>
                            </div>
                        </div>
                    }
                </div>
            </div>
        </div>

    </div> <!-- end col -->
</div>
<!-- end row -->

@section scripts{
    <script>
        var phisherStatusUrl = '@Url.Action("PhisherStatus")';
        var limitedStatusUrl = '@Url.Action("LimitedStatus")';
        var confirmEmailUrl = '@Url.Action("ConfirmEmail")';
        var changePasswordUrl = '@Url.Action("ChangePassword")';
        $('#IsPhisher').on('change', function () {
            var isPhisher = $(this).is(":checked") ? 1 : 0;
            doAjax({ UserId: @Model.Id, IsPhisher: isPhisher }, phisherStatusUrl, function () {
                if (data.Status) {
                    window.location.reload();
                }
            });
        });

        $('#IsBuyLimited').on('change', function () {
            var isLimited = $(this).is(":checked") ? 1 : 0;
            doAjax({ UserId: @Model.Id, IsLimited: isLimited }, limitedStatusUrl, function () {
                if (data.Status) {
                    window.location.reload();
                }
            });
        });

        $('#confirmEmailBtn').on('click', function () {
            doAjax({ UserId: @Model.Id }, confirmEmailUrl, function () {
                if (data.Status) {
                    window.location.reload();
                }
            });
        });

        function changePassword() {
            confirmWithInputDialog("تغییر کلمه عبور برای کاربر", "کلمه عبور جدید", "کلمه عبور وارد نشده است", function () {
                doAjax({ UserId: @Model.Id, Password: $('#customInput').val() }, changePasswordUrl, function () {
                    if (data.Status) {
                        alertSuccess(data.Text);
                    }
                });
            });
        }
    </script>
}